Sophie

Sophie

distrib > Mandriva > mes5 > i586 > by-pkgid > 7ce23f99807f9a2f70929a432f12f6ae > files > 10

sysklogd-1.4.2-8mdv2009.0.src.rpm

--- sysklogd-1.4rh/redhat/syslog.init.pix	Tue Jan 23 21:29:01 2001
+++ sysklogd-1.4rh/redhat/syslog.init	Mon Sep 10 22:46:37 2001
@@ -26,6 +26,27 @@
 
 umask 077
 
+# [Pixel] shadow the initlog program
+# => try to find the command when called as "initlog ...options... -c command args"
+#    (hopefully the way to call initlog won't change!)
+#
+# why doing this: the pb of initlog being called when syslog is being
+# restarted is that minilogd is started to keep the logs waiting for syslog to
+# really treat them. Alas with devfs mounted (with or without devfsd),
+# minilogd do not exit as it should. I don't know why.
+#
+# minilogd keeping the logs means its memory usage grows a lot as time goes.
+# Restarting syslog mainly happens when upgrading glibc.
+#
+initlog() {
+    while [ "$1" != "-c" ]; do 
+	[ -n "$1" ] || return
+	shift
+    done
+    shift ; $*
+}
+
+
 start() {
  	echo -n  $"Starting system logger: "
 	daemon syslogd $SYSLOGD_OPTIONS